petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawRectangle

PetscDraws a rectangle onto a drawable.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawRectangle(PetscDraw draw,PetscReal xl,PetscReal yl,PetscReal xr,PetscReal yr,int c1,int c2,int c3,int c4)

Not Collective

### Input Parameters

| draw | - the drawing context
| xl,yl,xr,yr | - the coordinates of the lower left, upper right corners
| c1,c2,c3,c4 | - the colors of the four corners in counter clockwise order

### See Also

PetscDrawLine(), PetscDrawRectangle(), PetscDrawTriangle(), PetscDrawEllipse(),
PetscDrawMarker(), PetscDrawPoint(), PetscDrawString(), PetscDrawPoint(), PetscDrawArrow()

### Level

beginner

### Location

src/sys/classes/draw/interface/drect.c

### Implementations

PetscDrawRectangle_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawRectangle_Null in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawRectangle_OpenGL in src/sys/classes/draw/impls/opengl/openglops.c
PetscDrawRectangle_TikZ in src/sys/classes/draw/impls/tikz/tikz.c
PetscDrawRectangle_Win32 in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawRectangle_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages